Project emails get
GET /organization/{orgId}/project/{projectId}/emails/{emailId}
Get a filed email
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Organization ID — must match the project's owning org.
projectId*string
Project ID.
emailId*string
Filed email ID returned by the create call.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.part3.io/v1/organization/org_8a1b2c3d4e/project/proj_5f9a3c2e8b/emails/6f1c2d3e-4b5a-4c6d-8e7f-9a0b1c2d3e4f"{
"emailId": "string",
"sentAt": null,
"fromAddress": "string",
"fromName": null,
"subject": "string",
"attachmentCount": 0,
"filedBy": {
"userId": "string",
"name": "string"
},
"filedAt": "2019-08-24T14:15:22Z",
"toAddresses": [
"string"
],
"ccAddresses": [
"string"
],
"bodyHtmlUrl": null,
"filers": [
{
"userId": "string",
"name": "string",
"at": "2019-08-24T14:15:22Z"
}
],
"events": [
{
"type": "filed",
"actorUserId": "string",
"actorName": null,
"fromProjectId": null,
"fromProjectName": null,
"toProjectId": null,
"toProjectName": null,
"at": "2019-08-24T14:15:22Z"
}
],
"attachments": [
{
"attachmentId": "string",
"fileName": "string",
"contentType": "string",
"byteSize": 0,
"isInline": true
}
]
}{
"error": "Insufficient permissions"
}{
"error": "filed email not found"
}